## sendmail 8.7.6-2

=== Makefile ===
#       @(#)Makefile	8.12 (Berkeley) 5/29/95

VER=	XX
SUBDIR= src mailstats makemap praliases cf/cf
FTPDIR=	mastodon:/disks/barad-dur/ftp/sendmail/.
DISTFILES=sendmail.${VER}.tar.Z sendmail.${VER}.tar.gz \
	RELEASE_NOTES FAQ KNOWNBUGS
FILES=	Files.base Files.cf Files.misc Files.xdoc

tar: sccs-check compile-world run-pax

sccs-check:
	sccs check
	(cd src; sccs check)
	(cd doc/op; sccs check)
	(cd doc/intro; sccs check)
	(cd doc/usenix; sccs check)
	(cd cf; sccs check)
	(cd cf/m4; sccs check)
	(cd cf/mailer; sccs check)
	(cd cf/feature; sccs check)
	(cd cf/cf; sccs check)
	(cd cf/ostype; sccs check)
	(cd cf/domain; sccs check)

compile-world:
	(cd src; ${MAKE})
	(cd doc; PRINTER=ps ${MAKE})
	(cd doc; chmod 444 op/op.ps intro/intro.ps usenix/usenix.ps)
	(cd cf/cf; ${MAKE})

run-pax: Files.base Files.cf Files.misc Files.xdoc
	chmod +x src/makesendmail
	pax -w -x tar -L \
		-s ",cf/domain/unspecified-domain,sendmail-${VER}/cf/domain/berkeley-only,p" \
		-s ",^,sendmail-${VER}/," \
		-f sendmail.${VER}.tar \
		`cat ${FILES} | grep -v ^#`
	gzip -c sendmail.${VER}.tar > sendmail.${VER}.tar.gz
	compress sendmail.${VER}.tar

ftp: sendmail.${VER}.tar.Z
	rcp ${DISTFILES} ${FTPDIR}

.include <bsd.subdir.mk>

=== smrsh/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 7/2/95

PROG=	smrsh
MAN8=	smrsh.0
CFLAGS+=-I${.CURDIR}/../src -DNDBM -DNEWDB

.include "../../Makefile.inc"
.include <bsd.prog.mk>

=== doc/intro/Makefile ===
#	@(#)Makefile	8.2 (Berkeley) 2/28/94

DIR=	smm/09.sendmail
SRCS=	intro.me
MACROS=	-me

all: intro.ps

intro.ps: ${SRCS}
	rm -f ${.TARGET}
	${PIC} ${SRCS} | ${ROFF} > ${.TARGET}

.include <bsd.doc.mk>

## sendmail 8.8.5-1

=== debian/control ===
PACKAGE: sendmail
VERSION: =
ARCHITECTURE: =
MAINTAINER: Robert Leslie <rob@mars.org>
DEPENDS: libc5 (>= 5.4.13), libgdbm1, libdb1, netbase (>= 1.26-1), deliver, m4
RECOMMENDS: mail-reader
CONFLICTS: mail-transport-agent, smail
PROVIDES: mail-transport-agent
PRIORITY: extra
SECTION: mail
DESCRIPTION: A complex mail transport agent.
 Sendmail is an alternative mail transport agent (MTA) for
 Debian. It is suitable for handling complex mail
 configurations, although this means that its configuration
 can also be complex.

=== debian/rules ===
#!/usr/bin/make -f
#
# Debian rules for building a Debian package
# Version 1.5
#
# These rules have been specifically designed NOT to require root to
# run them. At any time root privileges are required, the command to be
# executed will be made obvious and root's password will be prompted for.
# Of course, root may still run this and no password will be required.
#
# Robert Leslie <rob@mars.org>

PKG =	sendmail
VER =	8.8.5
DEB =	1
BLD =	debian/.build
TMP =	debian/.tmp
ARC =	$(shell dpkg --print-architecture)

build :: $(BLD)

binary :: $(BLD)
	su -c 'exec ./debian/binary $(PKG) $(VER)-$(DEB) $(ARC) $(TMP)'
	dpkg --build $(TMP) && dpkg-name -o -s .. $(TMP).deb

$(BLD):
	cd src && ./makesendmail sendmail  \
		CC="gcc"  \
		O="-O2 -g"  \
		DBMDEF="-DNDBM -DNEWDB -DNIS"  \
		ENVDEF="-DHASFLOCK=1"  \
		INCDIRS="-I/usr/include -I/usr/include/db"  \
		LIBDIRS=""
	cd mailstats && make -f Makefile.dist mailstats  \
		CC="gcc"  \
		O="-O2 -g"  \
		INCDIRS="-I../src"  \
		LIBDIRS=""
	cd makemap && make -f Makefile.dist makemap  \
		CC="gcc"  \
		O="-O2 -g"  \
		INCDIRS="-I../src -I/usr/include -I/usr/include/db"  \
		LIBDIRS=""
		LIBS="-lgdbm -ldb"
	cd praliases && make -f Makefile.dist praliases  \
		CC="gcc"  \
		O="-O2 -g"  \
		INCDIRS="-I../src -I/usr/include -I/usr/include/db"  \
		LIBDIRS=""
		LIBS="-lgdbm -ldb"
	cd smrsh && make -f Makefile.dist smrsh  \
		CC="gcc"  \
		O="-O2 -g"  \
		ENVDEF="-DCMDDIR=\\\"/usr/lib/sm.bin\\\"  \
			-DPATH=\\\"/usr/bin:/bin\\\""  \
		INCDIRS="-I../src"  \
		LIBDIRS=""
	cd rmail && {  \
	    test -f rmail || gcc -O2 -g rmail.c -o rmail  \
	}
	cd doc && {  \
	    for doc in changes/changes intro/intro op/op usenix/usenix;  \
	    do test -f $$doc.txt ||  \
	      nroff -me $$doc.me | cat -s > $$doc.txt; done  \
	}
	touch $(BLD)

clean ::
	test ! -d $(TMP) || su -c 'rm -rf $(TMP)'
	rm -f $(BLD)
	rm -f doc/{changes/changes,intro/intro,op/op,usenix/usenix}.txt
	cd rmail && rm -f rmail
	cd smrsh && make -f Makefile.dist clean
	cd praliases && make -f Makefile.dist clean
	cd makemap && make -f Makefile.dist clean
	cd mailstats && make -f Makefile.dist clean
	rm -rf src/obj.*

source ::
	test ! -f $(BLD) || make -f debian/rules clean
	cd .. && tar cf - $(PKG)-$(VER) |  \
	    gzip -9f > $(PKG)_$(VER)-$(DEB).tar.gz

diff ::
	test ! -f $(BLD) || make -f debian/rules clean
	test -d ../$(PKG)-$(VER).orig
	cd .. && diff -cNr $(PKG)-$(VER).orig $(PKG)-$(VER) |  \
	    gzip -9f > $(PKG)_$(VER)-$(DEB).diff.gz

## sendmail 8.9.3

=== doc/usenix/Makefile ===
#	@(#)Makefile	8.2 (Berkeley) 2/28/1994

SRCS=	usenix.me
MACROS=	-me

all: usenix.ps

usenix.ps: ${SRCS}
	rm -f ${.TARGET}
	${PIC} ${SRCS} | ${ROFF} > ${.TARGET}

.include <bsd.doc.mk>

## sendmail 8.12.3

=== mailstats/Makefile ===
#       $Id: Makefile,v 8.5 1999/09/23 22:36:36 ca Exp $

SHELL= /bin/sh
BUILD=   ./Build
OPTIONS= $(CONFIG) $(FLAGS)

all: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
clean: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
install: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@

fresh: FRC
	$(SHELL) $(BUILD) $(OPTIONS) -c

FRC:
